Image::ExifTool::TagInfoXML(3)

NAME
Image::ExifTool::TagInfoXML - Read/write tag information XML database

DESCRIPTION
This module is used to generate an XML database from all ExifTool tag information. This database may then be edited and used to re-generate the localized tag information modules (Image::ExifTool::Lang::*).

METHODS

  Write
Print complete tag information database in XML format.

  # save list of all tags
  $success = Image::ExifTool::TagInfoXML::Write('dst.xml');

  # list all IPTC tags to console
  Image::ExifTool::TagInfoXML::Write(undef, 'IPTC');

  # write all EXIF Camera tags to file
  Image::ExifTool::TagInfoXML::Write($outfile, 'exif:camera');

Inputs:
    0) [optional] Output file name, or undef for console output.

    1) [optional] String of group names separated by colons to specify the group to print. A specific IFD may not be given as a group, since EXIF tags may be written to any IFD. Saves all groups if not specified.

    2) [optional] Flag for short output format. With this set, the tag descriptions and values are not output.

Return Value:
    True on success.

  BuildLangModules
Build all Image::ExifTool::Lang modules from an XML database file.

    Image::ExifTool::TagInfoXML::BuildLangModules('src.xml');

Inputs:
    0) XML file name

Return Value:
    Number of modules updated, or negative on error.

AUTHOR
Copyright 2003-2009, Phil Harvey (phil at owl.phy.queensu.ca)

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Image::ExifTool(3pm), Image::ExifTool::TagNames(3pm)